<template>
    <div>
        <DataAcquisition></DataAcquisition>
    </div>
</template>

<script>
import DataAcquisition from '@/components/DataAcquisition.vue';
export default {
    name: 'InternetCompetitionDbCollectiongate',
    components: {
        DataAcquisition
    },
    data() {
        return {

        };
    },

    mounted() {

    },

    methods: {

    },
};
</script>

<style lang="less" scoped></style>
<!-- 
    <template>
    <div>
        <component :is="$store.state.currentComponent"></component>
    </div>
</template>

<script>
import { GetUserAnswer } from '@/api/user';
import DeviceVIew from '@/components/DeviceVIew.vue';
import DataAcquisition from '@/components/DataAcquisition.vue';
import TreeView from '@/components/TreeView.vue';
import CollectionView from '@/components/CollectionView.vue';
export default {
    name: 'InternetCompetitionDbCollectiongate',
    components: {
        DataAcquisition,
        DeviceVIew,
        TreeView,
        CollectionView,
    },
    data() {
        return {
        };
    },
    mounted() {
        GetUserAnswer({
            mark: "DB-IotLite_yx",
            user_id: this.user_id,
            // user_id: "USER202307301114011710",
        }).then((res) => {
            console.log(res);
            console.log(res.data.data.step);
            let step = res.data.data.step;
            if (step == 1) {
                this.$store.commit("changeComPonent", "TreeView");
                // this.currentComponent = TreeView;
            } else if (step == 2) {
                this.$store.commit("changeComPonent", "DeviceVIew");
                // this.currentComponent = DeviceVIew;
            } else if (step == 3) {
                this.$store.commit("changeComPonent", "CollectionView");
                // this.currentComponent = CollectionView;
            } else {
                this.$store.commit("changeComPonent", "DataAcquisition");
                // this.currentComponent = DataAcquisition;
            }
        })
    },
    methods: {

    },
};
</script>

<style lang="less" scoped></style>
 -->